Ryzom - Bug # 858

Status: Closed Priority: Normal
Author: thorbjorn Category: Build
Created: 05/08/2010 Assignee: vl
Updated: 05/28/2010 Due date:

Subiject: Fix compile with gcc 4.5.0

Description

There are some compile errors when trying to compile Ryzom with gcc 4.5.0 (current stable release).

Example of error the attached patch fixes:

error: cannot call constructor ‘std::pair<std::basic_string<char>, CinterfaceDDX*>::pair’ directly
error: for a function-style cast, remove the redundant “::pair’

If accepting this patch, please use "hg import gcc-450-compile-fixes.patch” so that the author of the commit stays intact. Thanks!

| think the only important part is to check whether it still compiles fine with VS with this change applied.

History

#1 - 05/10/2010 04:28 pm - vl

- Status changed from New to Assigned
- Assignee set to vl

- Target version set to Version 0.8.0

#2 - 05/10/2010 04:44 pm - vi

- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied it with user "thorbjorn" (use the name of your redmine account so it creates a link).

Also don't forget to add the issue id in the message (like #858) for the same reason as above.

Thank you for the patch!

#3 - 05/28/2010 05:23 pm - vI

- Status changed from Resolved to Closed

Files

gcc-450-compile-fixes.patch 13.3kB 05/08/2010 thorbjorn
